<?php
// Conexión segura a la base de datos usando PDO
$host = 'localhost';
$port = '3306';
$db   = 'matricula_local';
$user = 'root'; // Cambia por tu usuario si es necesario
$pass = '';
$charset = 'utf8mb4';
$options = [
    PDO::ATTR_ERRMODE            => PDO::ERRMODE_EXCEPTION,
    PDO::ATTR_DEFAULT_FETCH_MODE => PDO::FETCH_ASSOC,
    PDO::ATTR_EMULATE_PREPARES   => false,
];
try {
    $pdo = new PDO("mysql:unix_socket=/opt/lampp/var/mysql/mysql.sock;dbname=$db;charset=$charset", $user, $pass, $options);
} catch (PDOException $e) {
    throw new PDOException($e->getMessage(), (int)$e->getCode());
}
